"""
For backward compatibility, we still need CONFIG global variable.
This module was created for breaking cyclic reference.
"""
from abejacli.config import ABEJA_API_URL
from abejacli.config.loader import ConfigLoader
from abejacli.exceptions import InvalidConfigException

CONFIG = None
ABEJA_PLATFORM_USER_ID = None
ABEJA_PLATFORM_TOKEN = None
ORGANIZATION_NAME = None
ORGANIZATION_ENDPOINT = None

# For backward compatibility, CONFIG must be a plain dictionary.
try:
    CONFIG = ConfigLoader().load().asdict()
    ABEJA_PLATFORM_USER_ID = CONFIG['abeja-platform-user']
    ABEJA_PLATFORM_TOKEN = CONFIG['personal-access-token']
    ORGANIZATION_NAME = CONFIG['organization-name']
except InvalidConfigException:
    CONFIG = None

ORGANIZATION_ENDPOINT = "{}/organizations/{}".format(
    ABEJA_API_URL, ORGANIZATION_NAME)
protocol, fqdn = ABEJA_API_URL.split('://')
WEB_API_ENDPOINT = '{}://{}.{}'.format(protocol, ORGANIZATION_NAME, fqdn)
